if data ~= nil then
  dofile("game.lua")
else
  dofile("data.lua")
end

if game and game.type == Game.TYPE_SINGLE then
  dofile("ai/ai.lua")
end

map = "1914.map"
date = "1914/8/20"
xSize = 164
ySize = 76

scenario = {}
scenario.turnLimit = 118
scenario.scriptedAI = "1914"

scenario.techCategoriesUnlocked = {}
scenario.techCategoriesUnlocked["ground"] = 1
scenario.techCategoriesUnlocked["artillery"] = 4
scenario.techCategoriesUnlocked["air"] = 10
scenario.techCategoriesUnlocked["naval"] = 6
scenario.techCategoriesUnlocked["armour"] = 14

startingAlliance = 2

alliances =
{
  {
    id = 0,

    factions =
    {
      {
        id = 24,

      },
      ------------------------------- FRANCE -----------------------
      {
        id = 0,
        resources =
        {
          pp = 40,
          mp = 1000,
          am = 5,
          nm = 0,
        },

        units =
        {
          {type = "infantry", hex = {88, 29}, facing = "right"},
          {type = "infantry", hex = {88, 30}, facing = "right"},
          {type = "infantry", hex = {88, 32}, facing = "right"},
          {type = "infantry", hex = {88, 31}, facing = "right"},
          {type = "infantry", hex = {89, 31}, facing = "right"},
          {type = "garrison", hex = {89, 32}, facing = "right"},
          {type = "garrison", hex = {87, 31}, facing = "right"},
          {type = "fighter", hex = {86, 30}, facing = "right"},
          {type = "garrison", hex = {87, 30}, facing = "right"},
          {type = "garrison", hex = {87, 32}, facing = "right"},

          {type = "battleship", hex = {84, 42}, facing = "right"},
          {type = "cruiser", hex = {87, 40}, facing = "right"},
        },

        constructions = data.constructions.france
      },
      ------------------------------- BRITAIN --------------------------
      {
        id = 1,
        resources =
        {
          pp = 30,
          mp = 600,
          am = 4,
          nm = 0,
        },

        units =
        {
          {type = "infantry", hex = {79, 23}, facing = "right"},
          {type = "infantry", hex = {76, 22}, facing = "right"},
          {type = "garrison", hex = {79, 22}, facing = "right"},
          {type = "garrison", hex = {130, 67}, facing = "right"},
          {type = "garrison", hex = {97, 57}, facing = "right"},
          {type = "garrison", hex = {61, 55}, facing = "right"},

          {type = "cruiser", hex = {80, 23}, facing = "right"},
          {type = "cruiser", hex = {77, 13}, facing = "right"},
          {type = "cruiser", hex = {79, 16}, facing = "right"},
          {type = "cruiser", hex = {71, 26}, facing = "right"},
          {type = "battleship", hex = {78, 6}, facing = "right"},
          {type = "battleship", hex = {78, 7}, facing = "right"},
          {type = "battleship", hex = {77, 12}, facing = "right"},
          {type = "cruiser", hex = {97, 58}, facing = "right"},
          {type = "cruiser", hex = {75, 25}, facing = "right"},
        },

        constructions = data.constructions.britain
      },

      --------------------------- GERMANY ------------------------------
      {
        id = 2,
        resources =
        {
          pp = 35,
          mp = 1400,
          am = 15,
          nm = 0,
        },

        units =
        {
          {type = "cavalry", hex = {91, 25}, facing = "left"},
          {type = "infantry", hex = {89, 25}, facing = "left"},
          {type = "infantry", hex = {90, 26}, facing = "left"},
          {type = "infantry", hex = {90, 27}, facing = "left"},
          {type = "infantry", hex = {90, 28}, facing = "left"},
          {type = "garrison", hex = {90, 31}, facing = "left"},
          {type = "garrison", hex = {90, 32}, facing = "left"},
          {type = "garrison", hex = {89, 29}, facing = "left"},
          {type = "garrison", hex = {89, 30}, facing = "left"},
          {type = "infantry", hex = {91, 27}, facing = "left"},
          {type = "infantry", hex = {91, 26}, facing = "left"},
          {type = "garrison", hex = {91, 24}, facing = "left"},
          {type = "garrison", hex = {90, 29}, facing = "left"},
          {type = "artillery", hex = {90, 25}, facing = "left"},
          {type = "garrison", hex = {90, 30}, facing = "left"},
          {type = "garrison", hex = {112, 17}, facing = "right"},
          {type = "infantry", hex = {112, 20}, facing = "right"},
          {type = "infantry", hex = {113, 19}, facing = "right"},
          {type = "fighter", hex = {113, 18}, facing = "right"},

          {type = "cruiser", hex = {110, 18}, facing = "left"},
          {type = "cruiser", hex = {97, 17}, facing = "left"},
          {type = "cruiser", hex = {112, 16}, facing = "left"},
          {type = "battleship", hex = {94, 19}, facing = "left"},
          {type = "battleship", hex = {93, 19}, facing = "left"},
          {type = "submarine", hex = {93, 18}, facing = "left"},
          --{type = "convoy", hex = {57, 39}, facing = "right"},
        },

        constructions = data.constructions.germany
      },
      ------------------------ RUSSIA ------------------------
      {
        id = 4,
        resources =
        {
          pp = 30,
          mp = 2000,
          am = 4,
          nm = 0,
        },

        units =
        {
          {type = "garrison", hex = {115, 24}, facing = "left"},
          {type = "infantry", hex = {116, 25}, facing = "left"},
          {type = "garrison", hex = {118, 26}, facing = "left"},
          {type = "infantry", hex = {120, 18}, facing = "left"},
          {type = "garrison", hex = {120, 19}, facing = "left"},
          {type = "infantry", hex = {114, 21}, facing = "left"},
          {type = "garrison", hex = {117, 14}, facing = "left"},
          {type = "garrison", hex = {115, 20}, facing = "left"},
          {type = "garrison", hex = {112, 23}, facing = "left"},
          {type = "garrison", hex = {117, 16}, facing = "left"},
          {type = "armouredtrain", hex = {117, 23}, facing = "left"},
          {type = "cavalry", hex = {116, 24}, facing = "left"},

          {type = "battleship", hex = {117, 13}, facing = "left"},
          {type = "cruiser", hex = {131, 37}, facing = "left"},

          --{type = "battleship", hex = {102, 17}, facing = "left"},
          --{type = "cruiser", hex = {101, 16}, facing = "left"},
        },

        constructions = data.constructions.russia
      },
      ------------------------ TURKEY ------------------------
      {
        id = 5,
        resources =
        {
          pp = 30,
          mp = 800,
          am = 0,
          nm = 0,
        },

        units =
        {
          {type = "infantry", hex = {122, 45}, facing = "left"},
          {type = "infantry", hex = {133, 65}, facing = "left"},
          {type = "infantry", hex = {118, 47}, facing = "left"},
          {type = "cavalry", hex = {138, 66}, facing = "left"},
          {type = "garrison", hex = {157, 68}, facing = "left"},
          {type = "garrison", hex = {119, 45}, facing = "left"},
          {type = "garrison", hex = {135, 61}, facing = "left"},
          {type = "infantry", hex = {145, 48}, facing = "left"},
          {type = "garrison", hex = {144, 48}, facing = "left"},
          {type = "garrison", hex = {135, 67}, facing = "left"},

          {type = "cruiser", hex = {121, 45}, facing = "left"},
        },

        constructions = data.constructions.turkey
      },
      -------------------------- BELGIUM --------------------------
      {
        id = 6,
        resources =
        {
          pp = 15,
          mp = 160,
          am = 2,
          nm = 20,
        },

        units =
        {
          {type = "infantry", hex = {86, 26}, facing = "right"},
          {type = "garrison", hex = {88, 26}, facing = "right"},
          {type = "armouredcar", hex = {85, 24}, facing = "right"}
        },

        constructions = data.constructions.belgium
      },
      -------------------------- ITALY --------------------------
      {
        id = 8,
        resources =
        {
          pp = 30,
          mp = 800,
          am = 5,
          nm = 0,
        },

        units =
        {
          {type = "garrison", hex = {89, 36}, facing = "left"},
          {type = "garrison", hex = {89, 48}, facing = "left"},
          {type = "garrison", hex = {98, 52}, facing = "left"},
          {type = "garrison", hex = {94, 40}, facing = "left"},
          {type = "garrison", hex = {95, 52}, facing = "left"},
          {type = "garrison", hex = {103, 46}, facing = "left"},
          {type = "garrison", hex = {98, 46}, facing = "left"},
          {type = "garrison", hex = {96, 44}, facing = "left"},
          {type = "infantry", hex = {91, 38}, facing = "left"},
          {type = "infantry", hex = {97, 36}, facing = "left"},
          {type = "infantry", hex = {96, 36}, facing = "left"},
          {type = "infantry", hex = {95, 35}, facing = "left"},
          {type = "zeppelin", hex = {97, 40}, facing = "left"},

          {type = "battleship", hex = {103, 47}, facing = "left"},
          {type = "cruiser", hex = {98, 47}, facing = "left"},
        },

        constructions = data.constructions.italy
      },
      ------------------------- NETHERLANDS -------------------------
      {
        id = 9,
        resources =
        {
          pp = 30,
          mp = 200,
          am = 0,
          nm = 0,
        },

        units =
        {
          {type = "infantry", hex = {89, 23}, facing = "right"},
          {type = "garrison", hex = {87, 22}, facing = "right"},
          {type = "infantry", hex = {91, 22}, facing = "right"};
          {type = "garrison", hex = {91, 20}, facing = "right"},
        },

        constructions = data.constructions.netherlands
      },
      ------------------------- USA -------------------------
      {
        id = 10,
        resources =
        {
          pp = 30,
          mp = 1800,
          am = 5,
          nm = 0,
        },

        units =
        {
          {type = "garrison", hex = {9, 42}, facing = "right"},
          {type = "garrison", hex = {4, 48}, facing = "right"},
          {type = "infantry", hex = {1, 49}, facing = "right"},
          {type = "battleship", hex = {4, 49}, facing = "right"},
          {type = "cruiser", hex = {10, 43}, facing = "right"},
        },

        constructions = data.constructions.usa
      },
      ------------------------- SWEDEN -------------------------
      {
        id = 11,
        resources =
        {
          pp = 30,
          mp = 400,
          am = 0,
          nm = 0,
        },

        units =
        {
          {type = "infantry", hex = {110, 9}, facing = "right"},
          {type = "infantry", hex = {105, 9}, facing = "right"},
          {type = "infantry", hex = {104, 15}, facing = "right"},
          {type = "infantry", hex = {101, 12}, facing = "right"},
          {type = "garrison", hex = {101, 15}, facing = "right"},
        },

        constructions = data.constructions.sweden
      },
      ------------------------- DENMARK -------------------------
      {
        id = 12,
        resources =
        {
          pp = 30,
          mp = 400,
          am = 0,
          nm = 0,
        },

        units =
        {
          {type = "infantry", hex = {99, 16}, facing = "right"},
          {type = "infantry", hex = {97, 15}, facing = "right"},
          {type = "garrison", hex = {97, 16}, facing = "right"},
          {type = "garrison", hex = {95, 15}, facing = "right"},
          {type = "cruiser", hex = {100, 16}, facing = "right"},
        },

        constructions = data.constructions.denmark
      },
      ------------------------- FINLAND -------------------------
      {
        id = 13,
        resources =
        {
          pp = 30,
          mp = 400,
          am = 0,
          nm = 0,
        },

--~         units =
--~         {
--~           {type = "infantry", hex = {119, 7}, facing = "right"},
--~           {type = "infantry", hex = {114, 3}, facing = "right"},
--~           {type = "infantry", hex = {115, 7}, facing = "right"},
--~           {type = "garrison", hex = {127, 2}, facing = "right"}
--~         },

        constructions = data.constructions.finland
      },
      ------------------------- GREECE -------------------------
      {
        id = 14,
        resources =
        {
          pp = 30,
          mp = 200,
          am = 0,
          nm = 0,
        },

        units =
        {
          {type = "garrison", hex = {113, 52}, facing = "right"},
          {type = "garrison", hex = {114, 45}, facing = "right"},
          --{type = "garrison", hex = {113, 46}, facing = "right"},
          --{type = "garrison", hex = {115, 57}, facing = "right"},
          --{type = "cruiser", hex = {113, 53}, facing = "left"},
        },

        constructions = data.constructions.greece
      },
      ------------------------- SPAIN -------------------------
      {
        id = 15,
        resources =
        {
          pp = 30,
          mp = 1000,
          am = 0,
          nm = 0,
        },

        units =
        {
          {type = "infantry", hex = {66, 48}, facing = "right"},
          {type = "garrison", hex = {79, 45}, facing = "right"},
          {type = "garrison", hex = {70, 53}, facing = "right"},
          {type = "cruiser", hex = {59, 54}, facing = "right"}
        },

        constructions = data.constructions.spain
      },
      ------------------------- PORTUGAL -------------------------
      {
        id = 16,
        resources =
        {
          pp = 30,
          mp = 300,
          am = 0,
          nm = 0,
        },

        units =
        {
          {type = "infantry", hex = {55, 50}, facing = "right"},
          {type = "infantry", hex = {58, 45}, facing = "right"},
          {type = "garrison", hex = {59, 49}, facing = "right"}
        },

        constructions = data.constructions.portugal
      },
      ------------------------- SWITZERLAND -------------------------
      {
        id = 17,
        resources =
        {
          pp = 30,
          mp = 160,
          am = 0,
          nm = 0,
        },

        units =
        {
          {type = "infantry", hex = {90, 34}, facing = "right"},
          {type = "infantry", hex = {91, 34}, facing = "right"},
          {type = "infantry", hex = {89, 33}, facing = "right"}
        },

        constructions = data.constructions.switzerland
      },
      ------------------------- ROMANIA -------------------------
      {
        id = 18,
        resources =
        {
          pp = 30,
          mp = 400,
          am = 0,
          nm = 0,
        },

        units = {
          {type = "infantry", hex = {118, 39}, facing = "right"},
          {type = "infantry", hex = {117, 38}, facing = "right"},
          {type = "infantry", hex = {119, 34}, facing = "right"},
          {type = "infantry", hex = {119, 32}, facing = "right"},
          {type = "garrison", hex = {122, 39}, facing = "right"},
          {type = "garrison", hex = {119, 33}, facing = "right"},
        },

        constructions = data.constructions.romania
      },
      ------------------------- BULGARIA -------------------------
      {
        id = 19,
        resources =
        {
          pp = 30,
          mp = 400,
          am = 0,
          nm = 0,
        },

        units = {
          {type = "infantry", hex = {114, 43}, facing = "right"},
          {type = "infantry", hex = {115, 42}, facing = "right"},
          {type = "infantry", hex = {117, 41}, facing = "right"},
          {type = "garrison", hex = {121, 41}, facing = "right"},
          {type = "infantry", hex = {120, 41}, facing = "right"},
        },

        constructions = data.constructions.bulgaria
      },
      ------------------------- NORWAY -------------------------
      {
        id = 20,
        resources =
        {
          pp = 30,
          mp = 200,
          am = 0,
          nm = 0,
        },

        units = {{type = "infantry", hex = {99, 8}, facing = "right"}},
        units = {{type = "infantry", hex = {92, 6}, facing = "right"}},
        units = {{type = "garrison", hex = {100, 2}, facing = "right"}},

        constructions = data.constructions.norway
      },
      ------------------------- ARABIA -------------------------
      {
        id = 21,
        resources =
        {
          pp = 20,
          mp = 200,
          am = 0,
          nm = 0,
        },

      },
      ------------------------- PERSIA -------------------------
      {
        id = 22,
        resources =
        {
          pp = 0,
          mp = 100,
          am = 0,
          nm = 0,
        },

        constructions = data.constructions.persia

      },

      ------------------------- COLONIES -------------------------
      {
        id = 23,
        resources =
        {
          pp = 0,
          mp = 0,
          am = 0,
          nm = 0
        },

        constructions = data.constructions.colonies
      },

      ------------------------- RED FINLAND -------------------------
      {
        id = 25,
        resources =
        {
          pp = 0,
          mp = 100,
          am = 0,
          nm = 0,
        },

      },
    }
  },
  -- **************************** ENTENTE ALLIES ***********************
  {
    id = 1,
    enemies = {2},

    factions =
    {
      ------------------------- SERBIA -------------------------
      {
        id = 7,
        resources =
        {
          pp = 20,
          mp = 300,
          am = 0,
          nm = 30,
        },

        units =
        {
          {type = "infantry", hex = {107, 39}, facing = "left"},
          {type = "garrison", hex = {108, 39}, facing = "left"},
          {type = "garrison", hex = {107, 38}, facing = "left"},
          {type = "infantry", hex = {109, 38}, facing = "left"},
          {type = "garrison", hex = {107, 40}, facing = "left"},
          {type = "garrison", hex = {111, 42}, facing = "left"}, --108, 45
          {type = "garrison", hex = {107, 42}, facing = "left"},
          --{type = "artillery", hex = {108, 40}, facing = "left"},
        },

        constructions = data.constructions.serbia
      },
    }
  },
  -- ******************* CENTRAL POWERS *********************
  {
    id = 2,

    enemies = {1},

    factions =
    {
      ---------------------- AUSTRIA -----------------------
      {
        id = 3,
        resources =
        {
          pp = 30,
          mp = 1200,
          am = 5,
          nm = 0,
        },

        units =
        {
          {type = "garrison", hex = {114, 28}, facing = "right"},
          --{type = "infantry", hex = {113, 27}, facing = "right"},
          --{type = "infantry", hex = {114, 28}, facing = "right"},
          --{type = "infantry", hex = {115, 27}, facing = "right"},
          {type = "garrison", hex = {108, 33}, facing = "right"},
          --{type = "artillery", hex = {106, 39}, facing = "right"},
          {type = "infantry", hex = {105, 37}, facing = "right"},
          {type = "infantry", hex = {104, 37}, facing = "right"},
          {type = "garrison", hex = {106, 40}, facing = "right"},
          {type = "infantry", hex = {105, 36}, facing = "right"},
          --{type = "garrison", hex = {102, 39}, facing = "right"},
          {type = "garrison", hex = {106, 42}, facing = "right"},
          --{type = "garrison", hex = {115, 33}, facing = "right"},
          {type = "garrison", hex = {112, 37}, facing = "right"},
          {type = "battleship", hex = {99, 37}, facing = "right"},
          {type = "cruiser", hex = {105, 42}, facing = "left"},
        },

        constructions = data.constructions.austria
      }
    }
  }
}


function TurnStart(turn)
  -- Free lab for turkey
  if game.type == Game.TYPE_SINGLE and turn == 15 then
    local turkey = game:GetFactionById(5)
    if playerAlliance ~= nil and turkey.alliance.id ~= playerAlliance.id then
      BuildLab(turkey, "ground", true)
    end
  end
end


function PhaseStart(alliance)
  local turn = game.turn + 1
  if alliance.id == 2 then
    if turn == 5 then
      SetWarEffort(2, 80)
      SetWarEffort(3, 80)
    end
    if turn == 7 then
      SetWarEffort(2, 85)
      SetWarEffort(3, 85)
    end
    if turn == 9 then
      SetWarEffort(2, 90)
      SetWarEffort(3, 90)
    end
    if turn == 11 then
      SetWarEffort(2, 95)
      SetWarEffort(3, 95)
    end
    if turn == 13 then
      SetWarEffort(2, 100)
      SetWarEffort(3, 100)
    end
  end
end

function GetTurnDate()
  if game.turn <= 5 then
    if game.turn <= 1 then
      return 23,7,1914
    end
    if game.turn == 2 then
      return 30,7,1914
    end
    if game.turn == 3 then
      return 6,8,1914
    end
    if game.turn == 4 then
      return 13,8,1914
    end
    if game.turn == 5 then
      return 20,8,1914
    end
  else
    return game.date.day, game.date.month, game.date.year
  end
end

function SetTurnDate()
  if game.turn > 5 then
    game.date:AdvanceWeeks(2)
  end
end

--~ function ChangeDate()
--~   if game.turn > 5 then
--~     game.date:AdvanceWeeks(2)
--~   end
--~ end





function OnScenarioLoaded()

  -- Intro
  ui.briefingPanel:Start(1, 4, "briefing_1914_" .. GetPlayer().alliance.id .. "_", {{106, 39},{88, 29},{113, 19},{106, 39}})

  ScenarioSetup()

  ScenarioDifficultyChanges()

--~    PrintResources()

--~ PrintTechUnlockDates()

end

function ScenarioSetup()

  SetWarEffort(2, 75)
  SetWarEffort(3, 75)

  SetFactionAlignment(0, 99.7)  -- france
  SetFactionAlignment(1, 50) --98.1)  -- uk
  SetFactionAlignment(2, 0.3)   -- germany
  SetFactionAlignment(3, 0)     -- austria
  SetFactionAlignment(4, 99.1)  -- russia
  SetFactionAlignment(5, 50)   -- turkey
  SetFactionAlignment(6, 50) --50)    -- belgium
  SetFactionAlignment(7, 100)   -- serbia
  SetFactionAlignment(8, 94.4)  -- italy
  SetFactionAlignment(9, 50)    -- netherlands
  SetFactionAlignment(10, 65)   -- usa
  SetFactionAlignment(11, 50)
  SetFactionAlignment(12, 40)   -- denmark
  SetFactionAlignment(13, 50)
  SetFactionAlignment(14, 50)
  SetFactionAlignment(15, 55)   -- spain
  SetFactionAlignment(16, 87.6) -- portugal
  SetFactionAlignment(17, 50)
  SetFactionAlignment(18, 87.9) -- romania
  SetFactionAlignment(19, 8)    -- bulgaria
  SetFactionAlignment(20, 50)
  SetFactionAlignment(21, 50)
  SetFactionAlignment(22, 50)

  -- France
  UnlockTechnology(0, "all_centerline_armament")
  ProgressTechnology(0, "caterpillar_combat_vehicle", 30)
  UnlockTechnology(0, "bomb_rack")

  -- Britain
  UnlockTechnology(1, "industrial_warfare")
  UnlockTechnology(1, "all_centerline_armament")
  ProgressTechnology(1, "torpedo_bulge", 50)
  UnlockTechnology(1, "diesel_electric_propulsion")
  ProgressTechnology(1, "caterpillar_combat_vehicle", 30)
  UnlockTechnology(1, "armoured_car_chassis")

  -- Germany
  UnlockTechnology(2, "industrial_warfare")
  ProgressTechnology(2, "grenade", 30)
  UnlockTechnology(2, "hydro_pneumatic_howitzer")
  ProgressTechnology(2, "chlorine_gas", 10)
  UnlockTechnology(2, "all_centerline_armament")
  ProgressTechnology(2, "torpedo_bulge", 50)
  UnlockTechnology(2, "diesel_electric_propulsion")
  UnlockTechnology(2, "rigid_airship")
  ProgressTechnology(2, "armed_fighter", 20)

  -- Austria
  UnlockTechnology(3, "all_centerline_armament")
  UnlockTechnology(3, "industrial_train_design")

  -- Russia
  UnlockTechnology(4, "bomb_rack")
  UnlockTechnology(4, "heavy_bomber")
  UnlockTechnology(4, "bomb_sight")
  UnlockTechnology(4, "industrial_train_design")
  ProgressTechnology(4, "all_centerline_armament", 70)

  -- Belgium
  UnlockTechnology(6, "armoured_car_chassis")

  -- Italy
  UnlockTechnology(8, "industrial_warfare")
  ProgressTechnology(8, "caterpillar_combat_vehicle", 15)
  UnlockTechnology(8, "bomb_rack")
  UnlockTechnology(8, "heavy_bomber")
  UnlockTechnology(0, "all_centerline_armament")

  -- USA
  UnlockTechnology(10, "industrial_warfare")
  UnlockTechnology(10, "all_centerline_armament")

  for faction in game.factions do
    for unit in faction.units do
      UpdateUnit(unit)
    end
  end

  SetAmmunitionFactories(0, 4) --"france",
  SetAmmunitionFactories(1, 4) --"britain",
  SetAmmunitionFactories(2, 6) --"germany",
  SetAmmunitionFactories(3, 4) --"austria",
  SetAmmunitionFactories(4, 4) --"russia",
  SetAmmunitionFactories(8, 4) --"italy",
  SetAmmunitionFactories(10, 4) -- "usa",

  SetLabs(0, 1, 1, 1, 1, 1)
  SetLabs(1, 1, 1, 2, 1, 1)
  SetLabs(2, 2, 1, 2, 1, 0)
  SetLabs(3, 1, 1, 1, 0, 0)
  SetLabs(4, 1, 1, 0, 0, 0)
  SetLabs(5, 0, 0, 0, 0, 0)
  SetLabs(6, 1, 0, 0, 0, 0)
  SetLabs(7, 1, 0, 0, 0, 0)
  SetLabs(8, 1, 1, 1, 0, 0)
  SetLabs(9, 1, 0, 0, 0, 0)
  SetLabs(10, 1, 0, 1, 0, 0)
  SetLabs(11, 1, 0, 0, 0, 0)
  SetLabs(12, 1, 0, 0, 0, 0)
  SetLabs(13, 1, 0, 0, 0, 0)
  SetLabs(14, 1, 0, 0, 0, 0)
  SetLabs(15, 1, 0, 0, 0, 0)
  SetLabs(16, 1, 0, 0, 0, 0)
  SetLabs(17, 1, 0, 0, 0, 0)
  SetLabs(18, 1, 0, 0, 0, 0)
  SetLabs(19, 1, 0, 0, 0, 0)
  SetLabs(20, 1, 0, 0, 0, 0)
  SetLabs(21, 0, 0, 0, 0, 0)

  SetColonialFaction(0)
  SetColonialFaction(1)

  SetFactionRailmoves(0, 0)
  SetFactionRailmoves(1, 1)
  SetFactionRailmoves(2, 2)
  SetFactionRailmoves(4, 0)
  SetFactionRailmoves(6, 0)
  SetFactionRailmoves(10, 1)

  SetFactionTransportmoves(0, 1)--France
  SetFactionTransportmoves(1, 4)--Britain
  SetFactionTransportmoves(2, 2)--Germany
  SetFactionTransportmoves(3, 0)--Austria
  SetFactionTransportmoves(10, 2)--USA
  SetFactionTransportmoves(16, 1)--Portugal
  SetFactionTransportmoves(8, 1)--Italy

  DefineConvoy(0, 0, 58, 100, 10, 10)  --  USA low

  DefineConvoy(1, 0, 6, 100, 20, 5)  -- Canada high
  DefineConvoy(1, 17, 32, 100, 20, 15) -- Canada center
  DefineConvoy(1, 137, 76, 100, 10, 12)  -- Afrika west
  DefineConvoy(1, 39, 76, 100, 10, 8)  -- Afrika east

  DefineConvoy(2, 116, 0, 20, 5, 7) -- Sweden
  DefineConvoy(2, 32, 76, 30, 10, 6, 1) -- Afrika west1
  DefineConvoy(2, 102, 1, 10, 7, 12, 1) -- Narvik
  DefineConvoy(2, 24, 76, 20, 12, 14, 1) -- Afrika west2

end

function ScenarioDifficultyChanges()

  if GetPlayer().alliance.id == 1 then
    if game.difficulty == 1 then
      SpawnUnit(0, game:GetFactionById(7), 112, 41, 0, 100)
      SpawnUnit(0, game:GetFactionById(0), 82, 30, 0, 100)
      SpawnUnit(0, game:GetFactionById(0), 80, 28, 0, 100)
      SpawnUnit(0, game:GetFactionById(4), 112, 24, 0, 100)
    end
  else
    if game.difficulty == 1 then
      -- Spawn extra units
      SpawnUnit(0, game:GetFactionById(3), 110, 27, 0, 100)
      SpawnUnit(0, game:GetFactionById(3), 116, 28, 0, 100)
      SpawnUnit(0, game:GetFactionById(5), 135, 67, 0, 100)
    end
  end
end

function OnIntro()

end
